summaryrefslogtreecommitdiffstats
path: root/source/xap/xaos/xaos.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/xap/xaos/xaos.SlackBuild')
-rwxr-xr-xsource/xap/xaos/xaos.SlackBuild109
1 files changed, 24 insertions, 85 deletions
diff --git a/source/xap/xaos/xaos.SlackBuild b/source/xap/xaos/xaos.SlackBuild
index 7f901ed2e..62e1c058e 100755
--- a/source/xap/xaos/xaos.SlackBuild
+++ b/source/xap/xaos/xaos.SlackBuild
@@ -1,7 +1,7 @@
#!/bin/bash
# Copyright 2010 B. Watson (yalhcru@gmail.com)
-# Copyright 2010, 2015, 2018 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# Copyright 2010, 2015, 2018, 2020 Patrick J. Volkerding, Sebeka, Minnesota, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -21,43 +21,6 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
-# Slackware build script for xaos
-
-# Written by B. Watson (yalhcru@gmail.com)
-
-# A few notes:
-#
-# Package really wants to use its own CFLAGS (even checks for them
-# in the configure script). Let it...
-#
-# SFFE is the user formula evaluator, which allows users to define their
-# own fractals. On x86 platforms, an assembly-language implementation of
-# SFFE is used. On non-x86 platforms, SFFE requires a library called GSL
-# (GNU Scientific Library, available from SBo).
-#
-# xaos is still interesting and useful without SFFE support (most users
-# probably don't know/care about the math, so they'll never use the SFFE
-# stuff anyway), so we'll just disable it on non-x86 platforms by default.
-#
-# If you really want to use it, set USE_GSL=yes in the environment before
-# running this script. There's no need to use GSL on x86 platforms, since
-# the asm code is (or should be) faster, but the option is there if you
-# want to use it anyway.
-#
-# Multilib users also have the option of building on a 32-bit Slackware system
-# (or in a chroot) and the resulting package will run just fine on 64-bit.
-#
-# If the preceding didn't make any sense, here's the bottom line:
-#
-# - Regular Slackware (x86) users can just run this script and ignore the junk
-# above.
-#
-# - Everyone else (Slamd64, Bluewhite64, Slackware64, ???) can just
-# run this script and probably never notice the missing functionality.
-#
-# - If you're not on x86, but you want the formula evaluator, install GSL
-# and then run this script with USE_GSL=yes in the environment.
-
cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=xaos
@@ -84,23 +47,12 @@ if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
exit 0
fi
+NUMJOBS=${NUMJOBS:-" -j $(expr $(nproc) + 1) "}
+
TMP=${TMP:-/tmp}
PKG=$TMP/package-$PKGNAM
OUTPUT=${OUTPUT:-/tmp}
-USE_GSL=${USE_GSL:-no}
-
-if [ "$USE_GSL" = "yes" ]; then
- GSL_OPT="yes"
- SFFE_OPT="yes"
-elif [ "$ARCH" = "i486" -o "$ARCH" = "i686" ]; then
- GSL_OPT="no"
- SFFE_OPT="yes"
-else
- GSL_OPT="no"
- SFFE_OPT="no"
-fi
-
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
@@ -111,50 +63,37 @@ cd $SRCNAM-$VERSION || exit 1
chown -R root:root .
chmod -R a-s,u+w,go+r-w .
-./configure \
- --prefix=/usr \
- --docdir=/usr/doc/$PKGNAM-$VERSION \
- --infodir=/usr/info \
- --mandir=/usr/man \
- --with-gsl=$GSL_OPT \
- --with-sffe=$SFFE_OPT \
- --with-pthread=yes \
- --build=$ARCH-slackware-linux
+qmake-qt5
+make $NUMJOBS || exit 1
-make || exit 1
-# binary already stripped, yay!
-make install DESTDIR=$PKG || exit 1
+mkdir -p $PKG/usr/bin
+cp -a bin/xaos $PKG/usr/bin/xaos
+chown root:root $PKG/usr/bin/xaos
+chmod 755 $PKG/usr/bin/xaos
-# Replace bogus manpage:
-zcat $CWD/xaos.6.gz > $PKG/usr/man/man6/xaos.6
+mkdir -p $PKG/usr/share/XaoS
+cp -a catalogs tutorial $PKG/usr/share/XaoS
-gzip -9 $PKG/usr/man/man6/xaos.6
-rm -f $PKG/usr/info/dir
-gzip -9 $PKG/usr/info/*.info*
+mkdir -p $PKG/usr/share/XaoS/examples
+cp -a examples/README $(find examples -name "*.xpf") $(find examples -name "*.xaf") $PKG/usr/share/XaoS/examples
-mkdir -p $PKG/usr/doc
-mv $PKG/usr/share/XaoS/doc $PKG/usr/doc/xaos-$VERSION
-( cd $PKG/usr/share/XaoS ; ln -sf ../../doc/xaos-$VERSION doc )
+mkdir -p $PKG/usr/share/pixmaps
+cp -a xdg/xaos.png $PKG/usr/share/pixmaps
mkdir -p $PKG/usr/share/applications
-cat $CWD/xaos.desktop > $PKG/usr/share/applications/xaos.desktop
+cp -a xdg/xaos.desktop $PKG/usr/share/applications
-mkdir -p $PKG/usr/share/pixmaps
-cat $CWD/xaos.png > $PKG/usr/share/pixmaps/xaos.png
+# Replace bogus manpage:
+mkdir -p $PKG/usr/man/man6
+zcat $CWD/xaos.6.gz > $PKG/usr/man/man6/xaos.6
+gzip -9 $PKG/usr/man/man6/xaos.6
-chmod 644 $PKG/usr/doc/xaos-$VERSION/*
-rm -f $PKG/usr/doc/xaos-$VERSION/ChangeLog.old
+mkdir -p $PKG/usr/doc/xaos-$VERSION
cp -a \
- AUTHORS COPYING* INSTALL NEWS README* TODO \
+ COPYING* CREDITS* NEWS* README* \
$PKG/usr/doc/xaos-$VERSION
-
-# If there's a ChangeLog, installing at least part of the recent history
-# is useful, but don't let it get totally out of control:
-if [ -r ChangeLog ]; then
- DOCSDIR=$(echo $PKG/usr/doc/${PKGNAM}-$VERSION)
- cat ChangeLog | head -n 1000 > $DOCSDIR/ChangeLog
- touch -r ChangeLog $DOCSDIR/ChangeLog
-fi
+cp -a doc/XaoS.lsm $PKG/usr/doc/xaos-$VERSION
+cp -a doc/README $PKG/usr/doc/xaos-$VERSION/wiki.url
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc